import { PbContext } from "../../../graphql/types";
import { TranslatedCollection } from "../domain/TranslatedCollection";
interface SaveTranslatedCollectionParams {
    collectionId: string;
    languageCode: string;
    items: Array<{
        itemId: string;
        translatedOn?: string;
        value?: string;
    }>;
}
export declare class SaveTranslatedCollectionUseCase {
    private readonly context;
    constructor(context: PbContext);
    execute(params: SaveTranslatedCollectionParams): Promise<TranslatedCollection>;
    private getIdentity;
}
export {};
